org.apache.maven.artifact.resolver

## Interface ArtifactCollector

All Known Implementing Classes:
  DefaultArtifactCollector

    public interface ArtifactCollector

Artifact collector - takes a set of original artifacts and resolves all of the best versions to use along with their metadata. No artifacts are downloaded.

Version:
  $Id: ArtifactCollector.java 640549 2008-03-24 20:05:11Z bentmann $
Author:
  Brett Porter

### Method Summary

Methods
`ArtifactResolutionResult` `collect(java.util.Set artifacts, Artifact originatingArtifact, ArtifactRepository localRepository, java.util.List remoteRepositories, ArtifactMetadataSource source, ArtifactFilter filter, java.util.List listeners)`
`ArtifactResolutionResult` `collect(java.util.Set artifacts, Artifact originatingArtifact, java.util.Map managedVersions, ArtifactRepository localRepository, java.util.List remoteRepositories, ArtifactMetadataSource source, ArtifactFilter filter, java.util.List listeners)`

### Method Detail

#### collect

    ArtifactResolutionResult collect(java.util.Set artifacts,
                                   Artifact originatingArtifact,
                                   ArtifactRepository localRepository,
                                   java.util.List remoteRepositories,
                                   ArtifactMetadataSource source,
                                   ArtifactFilter filter,
                                   java.util.List listeners)
                                     throws ArtifactResolutionException

Throws:
  `ArtifactResolutionException`

#### collect

    ArtifactResolutionResult collect(java.util.Set artifacts,
                                   Artifact originatingArtifact,
                                   java.util.Map managedVersions,
                                   ArtifactRepository localRepository,
                                   java.util.List remoteRepositories,
                                   ArtifactMetadataSource source,
                                   ArtifactFilter filter,
                                   java.util.List listeners)
                                     throws ArtifactResolutionException

Throws:
  `ArtifactResolutionException`